LINUX.ORG.RU

version `GLIBC_2.14' not found

 , ,


0

1
root@machine:~# apt-cache policy libc6
libc6:
  Installed: 2.13-38+deb7u1
  Candidate: 2.13-38+deb7u1
  Version table:
 *** 2.13-38+deb7u1 0
        500 http://mirror2.corbina.ru/debian/ wheezy/main amd64 Packages
        500 http://http.debian.net/debian/ wheezy/main amd64 Packages
        100 /var/lib/dpkg/status


root@machine:~# ldd /usr/lib/mozilla/plugins/npIFCPlugin.so 
/usr/lib/mozilla/plugins/npIFCPlugin.so: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/lib/mozilla/plugins/lib/libconfig.so.9)
	linux-vdso.so.1 =>  (0x00007fff439ff000)
	libifc.so => /usr/lib/mozilla/plugins/lib/libifc.so (0x00007f7080462000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f708024b000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f708002e000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f707fd27000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f707faa5000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f707f88e000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f707f503000)
	libconfig.so.9 => /usr/lib/mozilla/plugins/lib/libconfig.so.9 (0x00007f707f2f7000)
	libpcsclite.so.1 => /usr/lib/x86_64-linux-gnu/libpcsclite.so.1 (0x00007f707f0eb000)
	libssl.so.1.0.0 => /usr/lib/mozilla/plugins/lib/libssl.so.1.0.0 (0x00007f707ee82000)
	libcrypto.so.1.0.0 => /usr/lib/mozilla/plugins/lib/libcrypto.so.1.0.0 (0x00007f707ea9c000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f707e893000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f7080993000)

Читал такое - http://stackoverflow.com/questions/10815453/compile-with-older-libc-version-g...
не смог разобраться, что надо сделать

Т.е. надо обновить 2.13 до >=2.14 примерно так:
echo «deb http://mirror2.corbina.ru/debian/ testing main» >>/etc/apt/sources.list
apt-get update
apt-get install -t testing libc6

теперь выглядит так:

root@machine:~# apt-cache policy libc6
libc6:
  Installed: 2.19-4
  Candidate: 2.19-4
  Version table:
 *** 2.19-4 0
        400 http://mirror2.corbina.ru/debian/ testing/main amd64 Packages
        100 /var/lib/dpkg/status
     2.13-38+deb7u3 0
        500 http://security.debian.org/ wheezy/updates/main amd64 Packages
     2.13-38+deb7u1 0
        500 http://mirror2.corbina.ru/debian/ wheezy/main amd64 Packages
        500 http://http.debian.net/debian/ wheezy/main amd64 Packages

плагин всё равно не загружается (в консоль из которой запущен iceweasel - никаких ошибок не выводится)

поздравляю, ты на своём опыте понял что такое debian stable и почему нужно сидеть на testing

anonymous ()

sid

жёстко, как и смешивать ветки, лучше целиком обновиться до testing, там 2.19

anonymous ()
Ответ на: комментарий от anonymous

в sid тоже 2.19

$ apt-cache policy libc6
libc6:
  Installed: 2.19-5
  Candidate: 2.19-5
  Version table:
 *** 2.19-5 0
        500 http://mirror2.corbina.ru/debian/ sid/main amd64 Packages
        100 /var/lib/dpkg/status
     2.13-38+deb7u3 0
        500 http://security.debian.org/ wheezy/updates/main amd64 Packages
     2.13-38+deb7u1 0
        500 http://mirror2.corbina.ru/debian/ wheezy/main amd64 Packages
        500 http://http.debian.net/debian/ wheezy/main amd64 Packages

но это не помогает. Несмотря на то, что теперь всё находится

$ ldd /usr/lib/mozilla/plugins/npIFCPlugin.so 
	linux-vdso.so.1 (0x00007fff8ed5a000)
	libifc.so => /usr/lib/mozilla/plugins/lib/libifc.so (0x00007f8c00876000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f8c0065f000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f8c00441000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f8c0013a000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f8bffe39000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f8bffc22000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f8bff879000)
	libconfig.so.9 => /usr/lib/mozilla/plugins/lib/libconfig.so.9 (0x00007f8bff66d000)
	libpcsclite.so.1 => /usr/lib/x86_64-linux-gnu/libpcsclite.so.1 (0x00007f8bff461000)
	libssl.so.1.0.0 => /usr/lib/mozilla/plugins/lib/libssl.so.1.0.0 (0x00007f8bff1f8000)
	libcrypto.so.1.0.0 => /usr/lib/mozilla/plugins/lib/libcrypto.so.1.0.0 (0x00007f8bfee12000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f8bfec09000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f8c00da7000)

плагин всё равно не загружается (в консоль из которой запущен iceweasel - никаких ошибок не выводится)

vmw8sl ()
Ответ на: комментарий от vmw8sl

/usr/lib/mozilla/plugins/npIFCPlugin.so

/usr/lib/

Если ты корректно поставил пакет с плагином, а он не работает - пиши разработчику. Это он должен разбираться с криво собранным бинарником / прописанными зависимостями.

d2 ()
Ответ на: комментарий от d2

он должен

у нас капитализм, и он не должен. мы можем лишь смиренно просить (либо разбираться сами).

vmw8sl ()

Ты опять выходишь на связь?!

Все твои треды можно схлопнуть в один: «проблемы с npIFCPlugin.so»

Так какого хрена ты флудишь?!

Deleted ()
Ответ на: комментарий от Deleted

какого хрена ты флудишь?!

разные проблемы = разные треды. Who are you to fucking lecture me?

vmw8sl ()
Ответ на: комментарий от vmw8sl

Проблема одна — у тебя не работает какой-то левый проприетарный плугин для огнелиса.

Deleted ()
Ответ на: комментарий от Deleted

проприетарный

это не частая собственность, а государственная. Укреплять государство всем на пользу - долг каждого ответственного гражданина. Такая идея ничем от идеи совместной разработки опенсорса не отличается. Или ты террорист?

vmw8sl ()
Ответ на: комментарий от vmw8sl

Так у тебя проблемы не с линуксом, а с частью ГОСУДАРСТВА. Вот и пиши в ГОСУДАРСТВО, а не создавай овер9000 тредов с одной и той же проблемой.

Deleted ()
Ответ на: комментарий от Deleted

Вот и пиши в ГОСУДАРСТВО

так я уже - Портал госуслуг (комментарий)

Однако недостаточно написать и ждать (потому что).

Активный, а не пассивный подход к миротворчеству - вот основа политики ООН (цитируется по фильму «The Art Of War»)

vmw8sl ()
Ответ на: комментарий от vmw8sl

(потому что)

Это вообще какой-то танцпол.

Ты ещё антиутопию на основе своих проблем с одной библиотекой!

Лучше б ждал ответа вместо того, чтобы гробить систему.

Deleted ()
Ответ на: комментарий от vmw8sl

Позвонил в техподдержку, сказали что создали заявку INC000000589850 и ответят в течение 4-х дней

10.07.2014

Почему ты сюда пишешь перед (а не после) общения с техподдержкой?

---

Кстати, УМВР (Arch Linux, всё из репозиториев. Доставить пришлось только pcsclite). Пруфы: [1], [2].

d2 ()
Ответ на: комментарий от d2

pcsclite

Собственно, меня это сделать попросил сам Firefox:

LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/npIFCPlugin.so [libpcsclite.so.1: cannot open shared object file: No such file or directory]
d2 ()
Ответ на: комментарий от vmw8sl

Не забывай, какое это государство. Сначала нужно написать в техподдержку, а потому надо ж дать.

CYB3R ★★★★★ ()
Ответ на: комментарий от CYB3R

Не забывай, какое это государство.

коррупция есть в любом государстве (где побольше, где поменьше, но есть везде). Конкретно в сфере IT она закручается скорее в распилах, чем во взятках. Так что не надо наговаривать.

vmw8sl ()
Ответ на: комментарий от vmw8sl

коррупция есть в любом государстве

4.2, в моём нет.

CYB3R ★★★★★ ()

Можно смешивать testing и unstable, но нельзя testing и stable.

bluesman ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.